VULKAN_HPP_NAMESPACE::ConformanceVersionKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ConformanceVersionKHR (uint8_t major_=0, uint8_t minor_=0, uint8_t subminor_=0, uint8_t patch_=0)
| ConformanceVersionKHR (VkConformanceVersionKHR const &rhs)
ConformanceVersionKHR & | operator= (VkConformanceVersionKHR const &rhs)
ConformanceVersionKHR & | setMajor (uint8_t major_)
ConformanceVersionKHR & | setMinor (uint8_t minor_)
ConformanceVersionKHR & | setSubminor (uint8_t subminor_)
ConformanceVersionKHR & | setPatch (uint8_t patch_)
| operator VkConformanceVersionKHR const & () const
| operator VkConformanceVersionKHR & ()
bool | operator== (ConformanceVersionKHR const &rhs) const
bool | operator!= (ConformanceVersionKHR const &rhs) const

## Data Fields

uint8_t | major
uint8_t | minor
uint8_t | subminor
uint8_t | patch

## Detailed Description

Definition at line 7189 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ConformanceVersionKHR() [1/2]

VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::ConformanceVersionKHR | ( | uint8_t | major_ = `0`,
|  | uint8_t | minor_ = `0`,
|  | uint8_t | subminor_ = `0`,
|  | uint8_t | patch_ = `0`
| ) |  |

inline

Definition at line 7191 of file vulkan.hpp.

: major( major_ )
, minor( minor_ )
, subminor( subminor_ )
, patch( patch_ )
{
}

## ConformanceVersionKHR() [2/2]

VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::ConformanceVersionKHR | ( | VkConformanceVersionKHR const & | rhs | ) |

inline

Definition at line 7202 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ConformanceVersionKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkConformanceVersionKHR &()

VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::operator VkConformanceVersionKHR & | ( |  | ) |

inline

Definition at line 7241 of file vulkan.hpp.

{
return *reinterpret_cast<VkConformanceVersionKHR*>(this);
}

## operator VkConformanceVersionKHR const &()

VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::operator VkConformanceVersionKHR const & | ( |  | ) | const

inline

Definition at line 7236 of file vulkan.hpp.

{
return *reinterpret_cast<const VkConformanceVersionKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::operator!= | ( | ConformanceVersionKHR const & | rhs | ) | const

inline

Definition at line 7254 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ConformanceVersionKHR& VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::operator= | ( | VkConformanceVersionKHR const & | rhs | ) |

inline

Definition at line 7207 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ConformanceVersionKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::operator== | ( | ConformanceVersionKHR const & | rhs | ) | const

inline

Definition at line 7246 of file vulkan.hpp.

{
return ( major == rhs.major )
&& ( minor == rhs.minor )
&& ( subminor == rhs.subminor )
&& ( patch == rhs.patch );
}

References major, minor, patch, and subminor.

Referenced by operator!=().

## setMajor()

ConformanceVersionKHR& VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::setMajor | ( | uint8_t | major_ | ) |

inline

Definition at line 7212 of file vulkan.hpp.

{
major = major_;
return *this;
}

References major.

## setMinor()

ConformanceVersionKHR& VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::setMinor | ( | uint8_t | minor_ | ) |

inline

Definition at line 7218 of file vulkan.hpp.

{
minor = minor_;
return *this;
}

References minor.

## setPatch()

ConformanceVersionKHR& VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::setPatch | ( | uint8_t | patch_ | ) |

inline

Definition at line 7230 of file vulkan.hpp.

{
patch = patch_;
return *this;
}

References patch.

## setSubminor()

ConformanceVersionKHR& VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::setSubminor | ( | uint8_t | subminor_ | ) |

inline

Definition at line 7224 of file vulkan.hpp.

{
subminor = subminor_;
return *this;
}

References subminor.

## Field Documentation

## major

uint8_t VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::major

Definition at line 7259 of file vulkan.hpp.

Referenced by operator==(), and setMajor().

## minor

uint8_t VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::minor

Definition at line 7260 of file vulkan.hpp.

Referenced by operator==(), and setMinor().

## patch

uint8_t VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::patch

Definition at line 7262 of file vulkan.hpp.

Referenced by operator==(), and setPatch().

## subminor

uint8_t VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::subminor

Definition at line 7261 of file vulkan.hpp.

Referenced by operator==(), and setSubminor().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::patch
uint8_t patch
Definition: vulkan.hpp:7262
VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::major
uint8_t major
Definition: vulkan.hpp:7259
VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::operator==
bool operator==(ConformanceVersionKHR const &rhs) const
Definition: vulkan.hpp:7246
VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::minor
uint8_t minor
Definition: vulkan.hpp:7260
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::subminor
uint8_t subminor
Definition: vulkan.hpp:7261
VULKAN_HPP_NAMESPACE::ConformanceVersionKHR::ConformanceVersionKHR
ConformanceVersionKHR(uint8_t major_=0, uint8_t minor_=0, uint8_t subminor_=0, uint8_t patch_=0)
Definition: vulkan.hpp:7191
VkConformanceVersionKHR
Definition: vulkan_core.h:6110